From 0988034d06749820b857e304ec79cd485ecae5f2 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sun, 17 Nov 2024 09:21:20 +0000
Subject: [PATCH] iptables: upgrade 1.8.10 -> 1.8.11

---
 ...ption-to-enable-disable-libnfnetlink.patch | 53 -------------------
 ...se-Add-missing-braces-around-ternary.patch | 37 -------------
 ...{iptables_1.8.10.bb => iptables_1.8.11.bb} |  4 +-
 3 files changed, 1 insertion(+), 93 deletions(-)
 delete mode 100644 meta/recipes-extended/iptables/iptables/0001-configure-Add-option-to-enable-disable-libnfnetlink.patch
 delete mode 100644 meta/recipes-extended/iptables/iptables/0002-nft-ruleparse-Add-missing-braces-around-ternary.patch
 rename meta/recipes-extended/iptables/{iptables_1.8.10.bb => iptables_1.8.11.bb} (95%)

diff --git a/meta/recipes-extended/iptables/iptables/0001-configure-Add-option-to-enable-disable-libnfnetlink.patch b/meta/recipes-extended/iptables/iptables/0001-configure-Add-option-to-enable-disable-libnfnetlink.patch
deleted file mode 100644
index 0fe2261511..0000000000
--- a/meta/recipes-extended/iptables/iptables/0001-configure-Add-option-to-enable-disable-libnfnetlink.patch
+++ /dev/null
@@ -1,53 +0,0 @@
-From 653db8b938166db7833135f615b90c38a3f27a30 Mon Sep 17 00:00:00 2001
-From: "Maxin B. John" <maxin.john@intel.com>
-Date: Thu, 25 Apr 2024 10:51:02 +0200
-Subject: [PATCH] configure: Add option to enable/disable libnfnetlink
-
-Default behavior (autodetecting) does not change, but specifying
-either option would explicitly disable or enable libnfnetlink support,
-and if the library is not found in the latter case, ./configure will error
-out.
-
-Upstream-Status: Backport [https://git.netfilter.org/iptables/commit/?id=653db8b938166db7833135f615b90c38a3f27a30]
-Signed-off-by: Khem Raj <raj.khem@gmail.com>
-Signed-off-by: Maxin B. John <maxin.john@intel.com>
-Signed-off-by: Alexander Kanavin <alex@linutronix.de>
-Signed-off-by: Phil Sutter <phil@nwl.cc>
----
- configure.ac | 13 +++++++++++--
- 1 file changed, 11 insertions(+), 2 deletions(-)
-
-diff --git a/configure.ac b/configure.ac
-index d99fa3b9..2293702b 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -63,6 +63,9 @@ AC_ARG_WITH([pkgconfigdir], AS_HELP_STRING([--with-pkgconfigdir=PATH],
- AC_ARG_ENABLE([nftables],
- 	AS_HELP_STRING([--disable-nftables], [Do not build nftables compat]),
- 	[enable_nftables="$enableval"], [enable_nftables="yes"])
-+AC_ARG_ENABLE([libnfnetlink],
-+    AS_HELP_STRING([--disable-libnfnetlink], [Do not use netfilter netlink library]),
-+    [enable_libnfnetlink="$enableval"], [enable_libnfnetlink="auto"])
- AC_ARG_ENABLE([connlabel],
- 	AS_HELP_STRING([--disable-connlabel],
- 	[Do not build libnetfilter_conntrack]),
-@@ -113,8 +116,14 @@ AM_CONDITIONAL([ENABLE_SYNCONF], [test "$enable_nfsynproxy" = "yes"])
- AM_CONDITIONAL([ENABLE_NFTABLES], [test "$enable_nftables" = "yes"])
- AM_CONDITIONAL([ENABLE_CONNLABEL], [test "$enable_connlabel" = "yes"])
- 
--PKG_CHECK_MODULES([libnfnetlink], [libnfnetlink >= 1.0],
--	[nfnetlink=1], [nfnetlink=0])
-+# If specified explicitly on the command line, error out when library was not found
-+# Otherwise, disable and continue
-+AS_IF([test "x$enable_libnfnetlink" = "xyes"],
-+	[PKG_CHECK_MODULES([libnfnetlink], [libnfnetlink >= 1.0],
-+			   [nfnetlink=1])],
-+      [test "x$enable_libnfnetlink" = "xauto"],
-+	[PKG_CHECK_MODULES([libnfnetlink], [libnfnetlink >= 1.0],
-+			   [nfnetlink=1], [nfnetlink=0])])
- AM_CONDITIONAL([HAVE_LIBNFNETLINK], [test "$nfnetlink" = 1])
- 
- if test "x$enable_bpfc" = "xyes" || test "x$enable_nfsynproxy" = "xyes"; then
--- 
-2.39.2
-
diff --git a/meta/recipes-extended/iptables/iptables/0002-nft-ruleparse-Add-missing-braces-around-ternary.patch b/meta/recipes-extended/iptables/iptables/0002-nft-ruleparse-Add-missing-braces-around-ternary.patch
deleted file mode 100644
index 4cbc8bdaf4..0000000000
--- a/meta/recipes-extended/iptables/iptables/0002-nft-ruleparse-Add-missing-braces-around-ternary.patch
+++ /dev/null
@@ -1,37 +0,0 @@
-From 2026b08bce7fe87b5964f7912e1eef30f04922c1 Mon Sep 17 00:00:00 2001
-From: Phil Sutter <phil@nwl.cc>
-Date: Fri, 26 Jan 2024 18:43:10 +0100
-Subject: [PATCH] nft: ruleparse: Add missing braces around ternary
-
-The expression evaluated the sum before the ternay, consequently not
-adding target->size if tgsize was zero.
-
-Identified by ASAN for a simple rule using standard target:
-| # ebtables -A INPUT -s de:ad:be:ef:0:00 -j RETURN
-| # ebtables -D INPUT -s de:ad:be:ef:0:00 -j RETURN
-| =================================================================
-| ==18925==ERROR: AddressSanitizer: heap-buffer-overflow on address 0x603000000120 at pc 0x7f627a4c75c5 bp 0x7ffe882b5180 sp 0x7ffe882b4928
-| READ of size 8 at 0x603000000120 thread T0
-| [...]
-
-Upstream-Status: Backport [2026b08bce7fe87b5964f7912e1eef30f04922c1]
-
-Fixes: 2a6eee89083c8 ("nft-ruleparse: Introduce nft_create_target()")
-Signed-off-by: Phil Sutter <phil@nwl.cc>
----
- iptables/nft-ruleparse.c | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/iptables/nft-ruleparse.c b/iptables/nft-ruleparse.c
-index 0bbdf44faf..3b1cbe4fa1 100644
---- a/iptables/nft-ruleparse.c
-+++ b/iptables/nft-ruleparse.c
-@@ -94,7 +94,7 @@ __nft_create_target(struct nft_xt_ctx *ctx, const char *name, size_t tgsize)
- 	if (!target)
- 		return NULL;
- 
--	size = XT_ALIGN(sizeof(*target->t)) + tgsize ?: target->size;
-+	size = XT_ALIGN(sizeof(*target->t)) + (tgsize ?: target->size);
- 
- 	target->t = xtables_calloc(1, size);
- 	target->t->u.target_size = size;
diff --git a/meta/recipes-extended/iptables/iptables_1.8.10.bb b/meta/recipes-extended/iptables/iptables_1.8.11.bb
similarity index 95%
rename from meta/recipes-extended/iptables/iptables_1.8.10.bb
rename to meta/recipes-extended/iptables/iptables_1.8.11.bb
index a94e4749ae..686dc5afe5 100644
--- a/meta/recipes-extended/iptables/iptables_1.8.10.bb
+++ b/meta/recipes-extended/iptables/iptables_1.8.11.bb
@@ -13,10 +13,8 @@ SRC_URI = "http://netfilter.org/projects/iptables/files/iptables-${PV}.tar.xz \
            file://iptables.rules \
            file://ip6tables.service \
            file://ip6tables.rules \
-           file://0001-configure-Add-option-to-enable-disable-libnfnetlink.patch \
-           file://0002-nft-ruleparse-Add-missing-braces-around-ternary.patch \
            "
-SRC_URI[sha256sum] = "5cc255c189356e317d070755ce9371eb63a1b783c34498fb8c30264f3cc59c9c"
+SRC_URI[sha256sum] = "d87303d55ef8c92bcad4dd3f978b26d272013642b029425775f5bad1009fe7b2"
 
 SYSTEMD_SERVICE:${PN} = "\
     iptables.service \
-- 
2.44.1

